PHP Manual
Prev |  | Next

# HaruPage::setTextRenderingMode

(no version information, might be only in CVS)

HaruPage::setTextRenderingMode -- Set text rendering mode for the page

## Description

bool HaruPage::setTextRenderingMode ( int mode )

Defines text rendering mode for the page.

## Parameters

`mode`

  Must be one of the following values:

  `HaruPage::FILL`
  `HaruPage::STROKE`
  `HaruPage::FILL_THEN_STROKE`
  `HaruPage::INVISIBLE`
  `HaruPage::FILL_CLIPPING`
  `HaruPage::STROKE_CLIPPING`
  `HaruPage::FILL_STROKE_CLIPPING`
  `HaruPage::CLIPPING`

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruPage::getTextRenderingMode()

Prev | Home | Next
HaruPage::setTextMatrix | Up | HaruPage::setTextRise